<table class="table table-hover table-dark">
    <thead>
      <tr>
        <th scope="col">no.</th>
        <th scope="col">ID</th>
        <th scope="col">Email</th>
        <th scope="col"></th>
        <th scope="col"></th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let obj of userArr; index as i">
        <th scope="row">1</th>
        <td>{{obj._id}}</td>
        <td>{{obj.email}}</td>
        <td><button type="button" (click)="deleteUser(obj._id)" class="btn btn-light">Delete</button></td>
        <td><button type="button" (click)="setModalId(obj._id)" routerLink="userDashboard/{{obj._id}}" class="btn btn-light"  data-toggle="modal" data-target="#exampleModal">
        Update</button>
      </td>
      </tr>
      <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form [formGroup]="registerForm">
                <div class="form-group">
                    <label for="exampleInputEmail1">Email address</label>
                    <input type="email" formControlName="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp"
                        placeholder="Enter email">
                    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone
                        else.</small>
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" formControlName="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                </div>
                <div class="form-check">
                    <input type="checkbox" class="form-check-input" id="exampleCheck1">
                    <label class="form-check-label" for="exampleCheck1">Check me out</label>
                </div>
                <button type="submit" (click)="updateUser()" class="btn btn-primary">Submit</button>
            </form>
            </div>
          </div>
        </div>
      </div>
    </tbody>
  </table>
